Create car
curl --request POST \
--url https://www.carstoragesoftware.com/api/v1/cars \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"year": 1993,
"make": "<string>",
"model": "<string>",
"trim": "<string>",
"color": "<string>",
"vin": "<string>",
"stockNumber": "<string>",
"licensePlate": "<string>",
"licensePlateState": "<string>",
"mileage": 123,
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parkingSpotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parkingZoneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isForSale": true,
"declaredValueCents": 123
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
year: 1993,
make: '<string>',
model: '<string>',
trim: '<string>',
color: '<string>',
vin: '<string>',
stockNumber: '<string>',
licensePlate: '<string>',
licensePlateState: '<string>',
mileage: 123,
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
locationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parkingSpotId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parkingZoneId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
vendorId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
isForSale: true,
declaredValueCents: 123
})
};
fetch('https://www.carstoragesoftware.com/api/v1/cars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/cars"
payload = {
"year": 1993,
"make": "<string>",
"model": "<string>",
"trim": "<string>",
"color": "<string>",
"vin": "<string>",
"stockNumber": "<string>",
"licensePlate": "<string>",
"licensePlateState": "<string>",
"mileage": 123,
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parkingSpotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parkingZoneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isForSale": True,
"declaredValueCents": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vin": "<string>",
"stockNumber": "<string>",
"year": 123,
"make": "<string>",
"model": "<string>",
"trim": "<string>",
"color": "<string>",
"licensePlate": "<string>",
"licensePlateState": "<string>",
"mileage": 123,
"mileageUnits": "<string>",
"parkingSpot": "<string>",
"parkingSpotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parkingZoneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isForSale": true,
"declaredValueCents": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Cars
Create car
Requires write:cars. Create a car record.
POST
/
api
/
v1
/
cars
Create car
curl --request POST \
--url https://www.carstoragesoftware.com/api/v1/cars \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"year": 1993,
"make": "<string>",
"model": "<string>",
"trim": "<string>",
"color": "<string>",
"vin": "<string>",
"stockNumber": "<string>",
"licensePlate": "<string>",
"licensePlateState": "<string>",
"mileage": 123,
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parkingSpotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parkingZoneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isForSale": true,
"declaredValueCents": 123
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
year: 1993,
make: '<string>',
model: '<string>',
trim: '<string>',
color: '<string>',
vin: '<string>',
stockNumber: '<string>',
licensePlate: '<string>',
licensePlateState: '<string>',
mileage: 123,
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
locationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parkingSpotId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parkingZoneId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
vendorId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
isForSale: true,
declaredValueCents: 123
})
};
fetch('https://www.carstoragesoftware.com/api/v1/cars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/cars"
payload = {
"year": 1993,
"make": "<string>",
"model": "<string>",
"trim": "<string>",
"color": "<string>",
"vin": "<string>",
"stockNumber": "<string>",
"licensePlate": "<string>",
"licensePlateState": "<string>",
"mileage": 123,
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parkingSpotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parkingZoneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isForSale": True,
"declaredValueCents": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vin": "<string>",
"stockNumber": "<string>",
"year": 123,
"make": "<string>",
"model": "<string>",
"trim": "<string>",
"color": "<string>",
"licensePlate": "<string>",
"licensePlateState": "<string>",
"mileage": 123,
"mileageUnits": "<string>",
"parkingSpot": "<string>",
"parkingSpotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parkingZoneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isForSale": true,
"declaredValueCents": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Authorizations
Team API key from Settings → Integrations. Use Authorization: Bearer <key> or x-api-key.
Body
application/json
Required range:
1886 <= x <= 2100Minimum string length:
1Minimum string length:
1Available options:
mi, km Response
Created.
Show child attributes
Show child attributes
Was this page helpful?
⌘I